=== tests/run-make/msvc-opt-minsize/Makefile ===
# ignore-cross-compile
include ../tools.mk

all:
	$(RUSTC) foo.rs -Copt-level=z 2>&1
	$(call RUN,foo)
