=== tests/run-make/pass-non-c-like-enum-to-c/Makefile ===
# ignore-cross-compile
include ../tools.mk

all: $(call NATIVE_STATICLIB,test)
	$(RUSTC) nonclike.rs -L$(TMPDIR) -ltest
	$(call RUN,nonclike)
