=== debian/changelog ===
rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu2) plucky; urgency=medium

  * d/rust-X.Y-src.links.in: add one more symlink that creates the
    lib/rustlib/src/rust path to help with the Linux kernel build system
    (LP: #2090791)
  * d/p/ubuntu/ubuntu-upgrade-libgit2-1.8.patch: add a patch to upgrade
    libgit2 to 1.8
  * d/control: adjust libgit2 version requirements to 1.8.x (LP: #2089696)

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 18 Dec 2024 12:08:22 -0700
